# Class CIM_USBPortOnHub
extends CIM_PortOnDevice

USBPortOnHub associates a USBPort or connection point with the USBHub that includes it.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_HostedDependency
|
+--CIM_PortOnDevice
|
+--CIM_USBPortOnHub

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | USBPortOnHub associates a USBPort or connection point with the USBHub that includes it.
UMLPackagePath | string | CIM::Device::USB
Version | string | 2.6.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_USBPortOnHub | CIM_USBHub
Dependent | CIM_USBPortOnHub | CIM_USBPort

## Class Methods